config() {
    NEW="$1"
    OLD="$(dirname $NEW)/$(basename $NEW .new)"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
	mv $NEW $OLD
    elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
	# toss the redundant copy
	rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
}

# Prepare the new configuration files
if [[ -f /proc/self/mountinfo ]]; then
    rootdev=$(findmnt -run -t noautofs -o SOURCE "/")
    if [[ $rootdev ]]; then
	# Set bootdisk in the kernel parameters
	sed -i "s|@ROOTDISK@|$rootdev|" boot/syslinux/syslinux.cfg.new
    fi
fi
# Set the hostname in the menu
fqdn=$(hostname -f)
sed -i "s|@HOSTNAME@|$fqdn|" boot/syslinux/syslinux.cfg.new

config boot/syslinux/syslinux.cfg.new

